MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025168Community[OCCT] OCCT:Data Exchangepublic2014-08-19 16:262014-11-11 12:58
Reporterdrazmyslovich 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025168: STEP Writer - empty AppliedGroupAssignment can cause exception in RWStepAP214_RWAppliedGroupAssignment class
DescriptionThe issue was partially solved in the context of #24135 ticket, but WriteStep function was forgotten.
Steps To ReproduceUnfortunately my data is classified.
TagsNo tags attached.
Test case numberbugs step(014) bug25168
Attached Files

- Relationships
parent of 0025188newgka Open CASCADE Error during STEp file writing 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0030892)
git (administrator)
2014-08-19 16:29

Branch CR25168 has been created by drazmyslovich.

SHA-1: acccc9d21de2db5c852cb29309ab0d1559929032


This branch includes the following new commits:

       new acccc9d 0025168: function WriteStep is fixed


Detailed log of new commits:

commit acccc9d21de2db5c852cb29309ab0d1559929032
Author: razmyslovich
Date: Tue Aug 19 14:28:48 2014 +0200

    0025168: function WriteStep is fixed
(0030893)
drazmyslovich (developer)
2014-08-19 16:29

The fix is committed, please, review it
(0030897)
drazmyslovich (developer)
2014-08-19 16:55

I would like to add, that my test case was created by Autodesk Inventor 2009
(0030925)
gka (developer)
2014-08-20 12:23

Branch CR21568 is ready to be tested
(0030989)
abv (manager)
2014-08-21 12:39
edited on: 2014-08-21 12:40

The problem can be reproduced using file Drum.stp found in #24135:

Draw[]> stepread d:/temp/Drum.stp a .
...
Draw[]> writeall d:/temp/a.stp
Execution Failure for : writeall d:/temp/a.stp
** WorkSession : Sending all data
 Step File Name : d:/temp/a.stp(56826 ents) **** Interruption SendAll par
 Exception : ****
ACCESS VIOLATION at address 0x00000014 during 'READ' operation
    Abandon

(0030991)
apv (tester)
2014-08-21 12:44

Dear BugMaster,

Branch CR25168 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: acccc9d21de2db5c852cb29309ab0d1559929032

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
Absent

Testing on Linux:
Total MEMORY difference: 352147592 / 351903180
Total CPU difference: 45222.38000000002 / 45953.950000000135

Testing on Windows:
Total MEMORY difference: 239918324 / 239721508
Total CPU difference: 36318.40625 / 32650.328125
(0031478)
git (administrator)
2014-09-08 15:52

Branch CR25168 has been deleted by inv.

SHA-1: acccc9d21de2db5c852cb29309ab0d1559929032

- Related Changesets
occt: master 8a8be2aa
Timestamp: 2014-08-19 12:28:48
Author: drazmyslovich
Committer: bugmaster
Details ] Diff ]
0025168: STEP Writer - empty AppliedGroupAssignment can cause exception in RWStepAP214_RWAppliedGroupAssignment class

Function WriteStep is fixed
mod - src/RWStepAP214/RWStepAP214_RWAppliedGroupAssignment.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-08-19 16:26 drazmyslovich New Issue
2014-08-19 16:26 drazmyslovich Assigned To => gka
2014-08-19 16:29 git Note Added: 0030892
2014-08-19 16:29 drazmyslovich Note Added: 0030893
2014-08-19 16:29 drazmyslovich Status new => resolved
2014-08-19 16:50 kgv Summary STEP: Empty AppliedGroupAssignment can cause exception in RWStepAP214_RWAppliedGroupAssignment class => STEP Writer - empty AppliedGroupAssignment can cause exception in RWStepAP214_RWAppliedGroupAssignment class
2014-08-19 16:55 drazmyslovich Note Added: 0030897
2014-08-20 12:23 gka Note Added: 0030925
2014-08-20 12:23 gka Status resolved => reviewed
2014-08-20 12:47 apv Assigned To gka => apv
2014-08-21 12:39 abv Note Added: 0030989
2014-08-21 12:40 abv Note Edited: 0030989 View Revisions
2014-08-21 12:44 apv Note Added: 0030991
2014-08-21 12:46 apv Assigned To apv => bugmaster
2014-08-21 12:46 apv Status reviewed => tested
2014-08-22 11:15 apv Test case number => bugs step(014) bug25168
2014-08-22 15:42 bugmaster Changeset attached => occt master 8a8be2aa
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-08-25 08:24 abv Relationship added parent of 0025188
2014-08-25 08:24 abv Relationship added related to 0024135
2014-09-08 15:52 git Note Added: 0031478
2014-11-11 12:45 user533 Fixed in Version => 6.8.0
2014-11-11 12:58 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker